; ZWard117_Film_Grain_Script_Request_Gimp_2_8.scm 
;
; http://www.gimpchat.com/viewtopic.php?f=9&t=4639
;


(define 
	(ZWard117_Film_Grain_Script_Request
		file_1
		file_2
		file_3
		file_4
	)
	
	(let* 
		(
			(image1  (car (gimp-file-load 1 file_1 file_1) ) )
			(image2  (car (gimp-file-load 1 file_2 file_2) ) )			
			(image3  (car (gimp-file-load 1 file_3 file_3) ) )			
			(image4  (car (gimp-file-load 1 file_4 file_4) ) )
			(layer_image_1  (car (gimp-image-get-active-layer image1) ) )
			(layer_image_2  (car (gimp-image-get-active-layer image2) ) )
			(layer_image_3  (car (gimp-image-get-active-layer image3) ) )
			(layer_image_4  (car (gimp-image-get-active-layer image4) ) )
		)

		(gimp-layer-set-mode layer_image_1 5)
		(gimp-layer-set-mode layer_image_2 5)
		(gimp-layer-set-mode layer_image_3 5)
		(gimp-layer-set-mode layer_image_4 5)
		
		(gimp-display-new image1)
		(gimp-display-new image2)
		(gimp-display-new image3)
		(gimp-display-new image4)
		
	)
)

(script-fu-register
	"ZWard117_Film_Grain_Script_Request"
	"<Image>/File/ZWard117 Film Grain Script Request..."
	"Just to tired to bother trying to learn python-fu or script-fu."
	"samj"
	"samj"
	"2012-06-29"
	""
	SF-STRING 	_"File 1" 		"http://www.prime-junta.net/pont/img/How_to/100_Curves_and_Films/grain1.jpg"
	SF-STRING 	_"File 2" 		"http://www.prime-junta.net/pont/img/How_to/100_Curves_and_Films/grain2.jpg"
	SF-STRING 	_"File 3" 		"http://www.prime-junta.net/pont/img/How_to/100_Curves_and_Films/grain3.jpg"
	SF-STRING 	_"File 4" 		"http://www.prime-junta.net/pont/img/How_to/100_Curves_and_Films/grain4.jpg"
)



; fin du script


